<?php
/**
 * $Horde: chora/annotate.php,v 1.19.2.11 2003/01/03 12:48:49 jan Exp $
 *
 * Copyright 2000-2003 Anil Madhavapeddy <anil@recoil.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

require_once 'lib/base.php';

hasAccess($p_user->getUserId(), "/cvs/", "r", $group_id);

/* Spawn the file object */
$fl = &CVSLib_File::getFileObject($CVS, $CVS->cvsRoot() . '/' . $where);

/* Retrieve the desired revision from the GET variable */
if (!$rev) {
  $rev = '1.1';
}
if (!CVSLib_Rev::valid($rev)) {
    fatal('404 Not Found', "Revision $rev not found");
}

$ann = new CVSLib_Annotate($CVS, $fl);
checkError($lines = $ann->doAnnotate($rev));

$title = "CVS Annotation of " . Text::htmlallspaces($where) . " for version $rev";
chora_header(array('title' => $title, 'rev' => $rev, 'subtab' => 'annotate'));

$annotate_header = array(array('title' => '#'),
			 array('title' => 'Author'),
			 array('title' => 'Rev'),
			 array('title' => 'Line'));

echo $HTML->build_list_table_top($annotate_header, 0);


$author = '';
$rev = '';

$section = 0;
foreach ($lines as $line) {
    $lineno = $line['lineno'];
    $prevAuthor = $author;
    $prevRev = $rev;
    $author = Chora::showAuthorName($line['author']);
    $rev = $line['rev'];
    $line = Text::htmlspaces($line['line']);

    if ($prevAuthor != $author || $prevRev !== $rev) {
      $section++;
    }

    $color = html_get_alt_row_color($section);
    echo " <tr  bgcolor=\"$color\">\n";
    echo "  <td align=\"right\">\n";
    echo "$lineno\n";
    echo "  </td>\n";
    echo "  <td>";
    echo "$author\n";
    echo "  </td>\n";
    echo "  <td>\n";
    echo "   <a href=\"" . Chora::url('co', $where, array('r'=>$rev)) . "\">$rev</a>\n";
    echo "  </td>\n";
    echo "  <td class=\"$style\">\n";
    echo "   <tt>" . (trim($line) != '') ? $line : '&nbsp' . "</tt>\n";
    echo "  </td>\n";
    echo " </tr>\n";

}

echo "</table>\n";

chora_footer();

?>