<?php

// Chora Utils for SourceForge
// Contains everything that Chora needs to run under SF instead of Horde

function chora_header($params = array()) {
  global  $where, $group_id;
  $params['toptab'] = 'cvs';
  $params['group'] = $group_id; // $cvsrootopts['group_id'];

  $subtab = $params['subtab'];
  $cvs_tab_bar = array();

  $cvs_tab_bar['home'] = array('link' => Chora::url('index'),
			       'title' => 'CVS Home',
			       'selected' => ($subtab == 'home'));

  /** use this for back-up behavior of "browse" link
  $cvs_tab_bar['browse'] = array('link' => Chora::url('cvs', ($subtab == 'browse' ? '' : preg_replace('|[^/]+$|', '', $where))),
				 'title' => 'Browse Repository',
				 'selected' => ($subtab == 'browse'));
  **/
  $cvs_tab_bar['browse'] = array('link' => Chora::url('cvs'),
				 'title' => 'Browse Repository',
				 'selected' => ($subtab == 'browse'));
  if ($where && $subtab != 'browse') {
    $rev = $params['rev'];
    $r1 = $params['r1'];
    $r2 = $params['r2'];
    $cvs_tab_bar['log'] = array('link' => Chora::url('cvs', $where, array('onb' => $params['onb'])),
				'title' => 'View Log',
				'selected' => ($subtab == 'log'));
    $cvs_tab_bar['history'] = array('link' => Chora::url('history', $where, array('onb' => $params['onb'])),
				    'title' => 'View History',
				    'selected' => ($subtab == 'history'));
    $cvs_tab_bar['graph'] = array('link' => Chora::url('cvsgraph', $where, array('onb' => $params['onb'])),
				  'title' => 'View Graph',
				  'selected' => ($subtab == 'graph'));
    if ($rev) { // viewing a single revision
      $cvs_tab_bar['annotate'] = array('link' => Chora::url('annotate', $where, array('rev' => $rev, 'onb' => $params['onb'])),
				       'title' => 'Annotate',
				       'selected' => ($subtab == 'annotate'));
      $cvs_tab_bar['view'] = array('link' => Chora::url('co', $where, array('r' => $rev, 'onb' => $params['onb'])),
				   'title' => 'View',
				   'selected' => ($subtab == 'view'));
      $cvs_tab_bar['download'] = array('link' => Chora::url('co', $where, array('r' => $rev, 'p' => 1, 'onb' => $params['onb'])),
				       'title' => 'Download',
				       'selected' => ($subtab == 'download'));
    } else if ($r1 && $r2) {  // viewing multiple revisions (ie, a diff)
      $nows = $params['nows']; // ignore whitespace?
      $cvs_tab_bar['diff'] = array('link' => Chora::url('diff', $where, array('r1' => $r1, 'r2' => $r2, 'ty' => 'h', 'nows' => $nows, 'onb' => $params['onb'])),
				   'title' => 'Diff',
				   'selected' => ($subtab == 'diff'));
      $cvs_tab_bar['long'] = array('link' => Chora::url('diff', $where, array('r1' => $r1, 'r2' => $r2, 'ty' => 'h', 'num' => 10, 'nows' => $nows, 'onb' => $params['onb'])),
				   'title' => 'Long',
				   'selected' => ($subtab == 'long'));
      $cvs_tab_bar['unified'] = array('link' => Chora::url('diff', $where, array('r1' => $r1, 'r2' => $r2, 'ty' => 'u', 'nows' => $nows, 'onb' => $params['onb'])),
				      'title' => 'Unified',
				      'selected' => ($subtab == 'unified'));
    }
  }

  $params['tab_bar'] = $cvs_tab_bar;
  
  site_project_header($params);
  chora_headerbar($params);
}

function chora_footer($params = array()) {
  echo '<p align="right">Powered by <a href="http://horde.org/chora/">Chora ' . CHORA_VERSION . "</a></p>\n";
  site_project_footer($params);
}

function chora_headerbar($params) {
  global $HTML, $conf, $where;
  
  $title = $params['title'];
  $branch = $params['branch'];
  
  if ($branch) {
    $title .= " [tracking $branch]";
  }
  $HTML->pane_subtitle($title);
  if ($where) {
    $HTML->tab_top();
  //echo '[ <a href="' . Chora::url('cvs') . '">' . $conf['options']['cvsRootName'] . "</a> ]\n";
    echo "Location: ";
    echo Chora::whereMenu();
    $HTML->tab_bottom();
  }

}

?>