<?php


/**
 * Chora/Sourceforge Wrapper for CVSGraph
 */

require_once 'lib/base.php';

hasAccess($p_user->getUserId(), "/cvs/", "r", $group_id);

/* locations of cvsgraph files */
$cvsgraph = "/usr/bin/cvsgraph";
$cvsgraph_conf = "/etc/sourceforge/cvsgraph.conf";

$root = escapeshellcmd($CVS->cvsRoot());
$file = escapeshellcmd($where . ",v");

if ($show_image) {

  // pipe out the actual image

  $args[1] = $HTML->COLOR_LTBACK1;

  // build up the argument string
  $argstr = "";
  while (list($key, $val) = each($args)) {
    $argstr .= "-$key '$val' ";
  }

  header("Content-Type: image/png");
  passthru("$cvsgraph $argstr -c $cvsgraph_conf -r $root $file");

} else {

  // display the wrapper page for the image

  chora_header(array('title' => "CVSGraph for $where", 'subtab' => 'graph'));

  $imgUrl = Chora::url('cvsgraph', $where, array('show_image' => 1));

  $mapname = "CvsGraphMap";

  $args[9] = "/cvs/";
  $args[3] = "$group_id";
  $args['M'] = "$mapname";

  // build up the argument string
  $argstr = "";
  while (list($key, $val) = each($args)) {
    $argstr .= "-$key '$val' ";
  }

  passthru("$cvsgraph $argstr -i -c $cvsgraph_conf -r $root $file");

?>
<table width="100%" cellspacing="0" cellpadding="6">
  <tr>
<?php 
  echo "    <td bgcolor=\"white\" align=\"center\">\n";
  echo "      <img usemap=\"#$mapname\" alt=\"CVSGraph for $where\" src=\"$imgUrl\" border=\"0\" />\n";
  echo "    </td>\n";
  echo "    <td bgcolor=\"$HTML->COLOR_LTBACK2\">\n";
?>
<p>Click on the revisions and branches to display the file. </p>
<p>Click on the links in between revisions to get a diff between those revisions.</p>


    </td>
  </tr>
</table>
<?php
  chora_footer();
}

?>
