<?php
//
// SourceForge: Breaking Down the Barriers to Open Source Development
// Copyright 1999-2000 (c) The SourceForge Crew
// http://sourceforge.net
//
// $Id: index.php,v 1.10 2003/03/07 19:46:09 jricher Exp $

require_once 'lib/base.php';

hasAccess($p_user->getUserId(), "/cvs/", "r", $group_id);

//only projects can use the bug tracker, and only if they have it turned on
$project=project_get_object($group_id);

if (!$project->isProject()) {
 	exit_error('Error','Only Projects Can Use CVS');
}
if (!$project->usesCVS()) {
	exit_error('Error','This Project Has Turned Off CVS');
}

chora_header(array('title' => 'CVS Repository',
		   'subtab' => 'home'));

$res_grp = db_query("SELECT * FROM groups WHERE group_id=$group_id");

$row_grp = db_fetch_array($res_grp);

// ######################## table for summary info

echo '<TABLE width="100%"><TR valign="top"><TD width="65%">'."\n";

// ############################ developer access

echo '<P><B>Developer CVS Access via SSH</B></P>
<P>Only project developers can access the CVS tree via this method. SSH1 must
be installed on your client machine. Substitute <I>modulename</I> and
<I>developername</I> with the proper values. Enter your site password when
prompted.</P>

<P><tt>export CVS_RSH=ssh
<BR>&nbsp;<BR>cvs -z3 -d:ext:<I>developername</I>@cvs.'.$row_grp['http_domain'].':/cvsroot/'.$row_grp['unix_group_name'].' co <I>modulename</I>
</tt></P>';

echo '<P><B>Project Web Pages</B></P>
<p>Your project\'s has a customizable website which can be updated by editing files 
in the <tt>htdocs</tt> module of your CVS repository. Changes should take effect immediately.</p>';

// ################## summary info

echo '</TD><TD width="35%">';
echo $HTML->box1_top("Repository History");

// ################ is there commit info?

$res_cvshist = db_query("SELECT * FROM group_cvs_history WHERE group_id='$group_id'");
if (db_numrows($res_cvshist) < 1) {
	echo '<P>This project has no CVS history.';
} else {

echo '<P><B>Developer (30 day/Commits) (30 day/Adds)</B><BR>&nbsp;';

while ($row_cvshist = db_fetch_array($res_cvshist)) {
	echo '<BR>'.$row_cvshist['user_name'].' ('.$row_cvshist['cvs_commits_wk'].'/'
		.$row_cvshist['cvs_commits'].') ('.$row_cvshist['cvs_adds_wk'].'/'
		.$row_cvshist['cvs_adds'].')';
}

} // ### else no cvs history

echo $HTML->box1_bottom();

echo '</TD></TR></TABLE>';

chora_footer(array());

?>
