<?php
// $Horde: horde/scripts/mime_mapping/convert.pl,v 1.4.2.2 2002/06/26 18:48:53 jan Exp $

/**
 * This file contains a mapping of common file extensions to
 * MIME types. It has been automatically generated from the
 * horde/scripts/mime_mapping directory.
 *
 * Any unknown file extensions will automatically be mapped to
 * 'x-extension/<ext>' where <ext> is the unknown file extension.
 */

$mime_extension_map = array(

'%'	 => 'application/x-trash',
'ai'	 => 'application/postscript',
'aif'	 => 'audio/x-aiff',
'aifc'	 => 'audio/x-aiff',
'aiff'	 => 'audio/x-aiff',
'asc'	 => 'text/plain',
'asf'	 => 'video/x-ms-asf',
'asx'	 => 'video/x-ms-asf',
'au'	 => 'audio/basic',
'avi'	 => 'video/x-msvideo',
'bak'	 => 'application/x-trash',
'bat'	 => 'application/x-msdos-program',
'bcpio'	 => 'application/x-bcpio',
'bin'	 => 'application/octet-stream',
'bmp'	 => 'image/x-ms-bmp',
'book'	 => 'application/x-maker',
'c'	 => 'text/x-csrc',
'c++'	 => 'text/x-c++src',
'cc'	 => 'text/x-c++src',
'cdf'	 => 'application/x-netcdf',
'cdr'	 => 'image/x-coreldraw',
'cdt'	 => 'image/x-coreldrawtemplate',
'chrt'	 => 'application/x-kchart',
'class'	 => 'application/x-java-vm',
'cls'	 => 'text/x-tex',
'com'	 => 'application/x-msdos-program',
'cpio'	 => 'application/x-cpio',
'cpp'	 => 'text/x-c++src',
'cpt'	 => 'image/x-corelphotopaint',
'crl'	 => 'application/x-pkcs7-crl',
'crt'	 => 'application/x-x509-ca-cert',
'csh'	 => 'text/x-csh',
'csm'	 => 'application/cu-seeme',
'css'	 => 'text/css',
'csv'	 => 'text/comma-separated-values',
'cu'	 => 'application/cu-seeme',
'cxx'	 => 'text/x-c++src',
'dcr'	 => 'application/x-director',
'deb'	 => 'application/x-debian-package',
'diff'	 => 'text/plain',
'dir'	 => 'application/x-director',
'djv'	 => 'image/x-djvu',
'djvu'	 => 'image/x-djvu',
'dl'	 => 'video/dl',
'dll'	 => 'application/x-msdos-program',
'dms'	 => 'application/x-dms',
'doc'	 => 'application/msword',
'dot'	 => 'application/msword',
'dvi'	 => 'application/x-dvi',
'dxr'	 => 'application/x-director',
'eps'	 => 'application/postscript',
'etx'	 => 'text/x-setext',
'exe'	 => 'application/x-msdos-program',
'ez'	 => 'application/andrew-inset',
'fb'	 => 'application/x-maker',
'fbdoc'	 => 'application/x-maker',
'fig'	 => 'application/x-xfig',
'fli'	 => 'video/fli',
'fm'	 => 'application/x-maker',
'frame'	 => 'application/x-maker',
'frm'	 => 'application/x-maker',
'gf'	 => 'application/x-tex-gf',
'gif'	 => 'image/gif',
'gl'	 => 'video/gl',
'gnumeric'	 => 'application/x-gnumeric',
'gsf'	 => 'application/x-font',
'gsm'	 => 'audio/x-gsm',
'gtar'	 => 'application/x-gtar',
'h'	 => 'text/x-chdr',
'h++'	 => 'text/x-c++hdr',
'hdf'	 => 'application/x-hdf',
'hh'	 => 'text/x-c++hdr',
'hpp'	 => 'text/x-c++hdr',
'hqx'	 => 'application/mac-binhex40',
'htm'	 => 'text/html',
'html'	 => 'text/html',
'hxx'	 => 'text/x-c++hdr',
'ica'	 => 'application/x-ica',
'ice'	 => 'x-conference/x-cooltalk',
'ief'	 => 'image/ief',
'iges'	 => 'model/iges',
'igs'	 => 'model/iges',
'jar'	 => 'application/x-java-archive',
'java'	 => 'text/x-java',
'jng'	 => 'image/x-jng',
'jnlp'	 => 'application/x-java-jnlp-file',
'jpe'	 => 'image/jpeg',
'jpeg'	 => 'image/jpeg',
'jpg'	 => 'image/jpeg',
'js'	 => 'application/x-javascript',
'kar'	 => 'audio/midi',
'kil'	 => 'application/x-killustrator',
'kpr'	 => 'application/x-kpresenter',
'kpt'	 => 'application/x-kpresenter',
'ksp'	 => 'application/x-kspread',
'kwd'	 => 'application/x-kword',
'kwt'	 => 'application/x-kword',
'latex'	 => 'application/x-latex',
'lha'	 => 'application/x-lha',
'ltx'	 => 'text/x-tex',
'lzh'	 => 'application/x-lzh',
'lzx'	 => 'application/x-lzx',
'm3u'	 => 'audio/x-mpegurl',
'maker'	 => 'application/x-maker',
'man'	 => 'application/x-troff-man',
'mdb'	 => 'application/msaccess',
'me'	 => 'application/x-troff-me',
'mesh'	 => 'model/mesh',
'mid'	 => 'audio/midi',
'midi'	 => 'audio/midi',
'mif'	 => 'application/x-mif',
'mml'	 => 'text/mathml',
'mng'	 => 'video/x-mng',
'moc'	 => 'text/x-moc',
'mov'	 => 'video/quicktime',
'movie'	 => 'video/x-sgi-movie',
'mp2'	 => 'audio/mpeg',
'mp3'	 => 'audio/mpeg',
'mpe'	 => 'video/mpeg',
'mpeg'	 => 'video/mpeg',
'mpega'	 => 'audio/mpeg',
'mpg'	 => 'video/mpeg',
'mpga'	 => 'audio/mpeg',
'ms'	 => 'application/x-troff-ms',
'msh'	 => 'model/mesh',
'msi'	 => 'application/x-msi',
'mxu'	 => 'video/vnd.mpegurl',
'nb'	 => 'application/mathematica',
'nc'	 => 'application/x-netcdf',
'o'	 => 'application/x-object',
'oda'	 => 'application/oda',
'ogg'	 => 'application/x-ogg',
'old'	 => 'application/x-trash',
'oza'	 => 'application/x-oz-application',
'p'	 => 'text/x-pascal',
'pac'	 => 'application/x-ns-proxy-autoconfig',
'pas'	 => 'text/x-pascal',
'pat'	 => 'image/x-coreldrawpattern',
'pbm'	 => 'image/x-portable-bitmap',
'pcf'	 => 'application/x-font',
'pcf.Z'	 => 'application/x-font',
'pcx'	 => 'image/pcx',
'pdb'	 => 'chemical/x-pdb',
'pdf'	 => 'application/pdf',
'pfa'	 => 'application/x-font',
'pfb'	 => 'application/x-font',
'pgm'	 => 'image/x-portable-graymap',
'pgn'	 => 'application/x-chess-pgn',
'pgp'	 => 'application/pgp-signature',
'php'	 => 'application/x-httpd-php',
'php3'	 => 'application/x-httpd-php3',
'php3p'	 => 'application/x-httpd-php3-preprocessed',
'php4'	 => 'application/x-httpd-php4',
'phps'	 => 'application/x-httpd-php-source',
'pht'	 => 'application/x-httpd-php',
'phtml'	 => 'application/x-httpd-php',
'pk'	 => 'application/x-tex-pk',
'pl'	 => 'application/x-perl',
'pls'	 => 'audio/x-scpls',
'pm'	 => 'application/x-perl',
'png'	 => 'image/png',
'pnm'	 => 'image/x-portable-anymap',
'pot'	 => 'application/vnd.ms-powerpoint',
'ppm'	 => 'image/x-portable-pixmap',
'pps'	 => 'application/vnd.ms-powerpoint',
'ppt'	 => 'application/vnd.ms-powerpoint',
'ps'	 => 'application/postscript',
'qt'	 => 'video/quicktime',
'ra'	 => 'audio/x-realaudio',
'ram'	 => 'audio/x-pn-realaudio',
'ras'	 => 'image/x-cmu-raster',
'rgb'	 => 'image/x-rgb',
'rm'	 => 'audio/x-pn-realaudio',
'roff'	 => 'application/x-troff',
'rpm'	 => 'audio/x-pn-realaudio-plugin',
'rtf'	 => 'text/rtf',
'rtx'	 => 'text/richtext',
'sda'	 => 'application/vnd.stardivision.draw',
'sdc'	 => 'application/vnd.stardivision.calc',
'sdd'	 => 'application/vnd.stardivision.impress',
'sdp'	 => 'application/vnd.stardivision.impress-packed',
'sds'	 => 'application/vnd.stardivision.chart',
'sdw'	 => 'application/vnd.stardivision.writer',
'ser'	 => 'application/x-java-serialized-object',
'sgl'	 => 'application/vnd.stardivision.writer-global',
'sh'	 => 'text/x-sh',
'shar'	 => 'application/x-shar',
'sid'	 => 'audio/prs.sid',
'sik'	 => 'application/x-trash',
'silo'	 => 'model/mesh',
'sit'	 => 'application/x-stuffit',
'skd'	 => 'application/x-koan',
'skm'	 => 'application/x-koan',
'skp'	 => 'application/x-koan',
'skt'	 => 'application/x-koan',
'smd'	 => 'application/vnd.stardivision.mail',
'smf'	 => 'application/vnd.stardivision.math',
'smi'	 => 'application/smil',
'smil'	 => 'application/smil',
'snd'	 => 'audio/basic',
'spl'	 => 'application/x-futuresplash',
'src'	 => 'application/x-wais-source',
'sty'	 => 'text/x-tex',
'sv4cpio'	 => 'application/x-sv4cpio',
'sv4crc'	 => 'application/x-sv4crc',
'svg'	 => 'image/svg+xml',
'svgz'	 => 'image/svg+xml',
'swf'	 => 'application/x-shockwave-flash',
'swfl'	 => 'application/x-shockwave-flash',
't'	 => 'application/x-troff',
'tar'	 => 'application/x-tar',
'taz'	 => 'application/x-gtar',
'tcl'	 => 'text/x-tcl',
'tex'	 => 'text/x-tex',
'texi'	 => 'application/x-texinfo',
'texinfo'	 => 'application/x-texinfo',
'text'	 => 'text/plain',
'tgz'	 => 'application/x-gtar',
'tif'	 => 'image/tiff',
'tiff'	 => 'image/tiff',
'tk'	 => 'text/x-tcl',
'tr'	 => 'application/x-troff',
'tsp'	 => 'application/dsptype',
'tsv'	 => 'text/tab-separated-values',
'txt'	 => 'text/plain',
'ustar'	 => 'application/x-ustar',
'vcd'	 => 'application/x-cdlink',
'vcf'	 => 'text/x-vcard',
'vcs'	 => 'text/x-vcalendar',
'vor'	 => 'application/vnd.stardivision.writer',
'vrm'	 => 'x-world/x-vrml',
'vrml'	 => 'x-world/x-vrml',
'wad'	 => 'application/x-doom',
'wav'	 => 'audio/x-wav',
'wbmp'	 => 'image/vnd.wap.wbmp',
'wbxml'	 => 'application/vnd.wap.wbxml',
'wk'	 => 'application/x-123',
'wml'	 => 'text/vnd.wap.wml',
'wmlc'	 => 'application/vnd.wap.wmlc',
'wmls'	 => 'text/vnd.wap.wmlscript',
'wmlsc'	 => 'application/vnd.wap.wmlscriptc',
'wp5'	 => 'application/wordperfect5.1',
'wrl'	 => 'x-world/x-vrml',
'wz'	 => 'application/x-wingz',
'xbm'	 => 'image/x-xbitmap',
'xhtml'	 => 'text/html',
'xlb'	 => 'application/vnd.ms-excel',
'xls'	 => 'application/vnd.ms-excel',
'xml'	 => 'text/xml',
'xpm'	 => 'image/x-xpixmap',
'xsl'	 => 'text/xml',
'xwd'	 => 'image/x-xwindowdump',
'xyz'	 => 'chemical/x-xyz',
'zip'	 => 'application/zip',
'~'	 => 'application/x-trash'
);
